/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.identitytoolkit.model;

import com.google.api.client.json.GenericJson;

/**
 * Request to verify the IDP assertion.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Identity Toolkit API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class IdentitytoolkitRelyingpartyVerifyAssertionRequest extends GenericJson {

  /**
   * The GITKit token for the non-trusted IDP pending to be confirmed by the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String pendingIdToken;

  /**
   * The post body if the request is a HTTP POST.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String postBody;

  /**
   * The URI to which the IDP redirects the user back. It may contain federated login result params
   * added by the IDP.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String requestUri;

  /**
   * The GITKit token for the non-trusted IDP pending to be confirmed by the user.
   * The value returned may be {@code null}.
   */
  public String getPendingIdToken() {
    return pendingIdToken;
  }

  /**
   * The GITKit token for the non-trusted IDP pending to be confirmed by the user.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartyVerifyAssertionRequest setPendingIdToken(String pendingIdToken) {
    this.pendingIdToken = pendingIdToken;
    return this;
  }

  /**
   * The post body if the request is a HTTP POST.
   * The value returned may be {@code null}.
   */
  public String getPostBody() {
    return postBody;
  }

  /**
   * The post body if the request is a HTTP POST.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartyVerifyAssertionRequest setPostBody(String postBody) {
    this.postBody = postBody;
    return this;
  }

  /**
   * The URI to which the IDP redirects the user back. It may contain federated login result params
   * added by the IDP.
   * The value returned may be {@code null}.
   */
  public String getRequestUri() {
    return requestUri;
  }

  /**
   * The URI to which the IDP redirects the user back. It may contain federated login result params
   * added by the IDP.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartyVerifyAssertionRequest setRequestUri(String requestUri) {
    this.requestUri = requestUri;
    return this;
  }

}
